VisualEditor: Nested identical annotations can be additive, not just identical
Closed, ResolvedPublic

Description

<b><b>Foo</b></b> == <b>Foo</b> so it's not /so/ bad if VE corrects it (but it's still a bit dirty, but <small><small>Foo</small></small> != <small>Foo</small> (and the same with <big> and <sup> and …)


Version: unspecified
Severity: minor
URL: https://en.wikipedia.org/w/index.php?title=User:JohnCD/draft&diff=560430675&oldid=560430611

bzimport set Reference to bz49755.
Jdforrester-WMF created this task.Via LegacyJun 18 2013, 4:56 PM
Ironholds added a comment.Via ConduitJun 18 2013, 4:57 PM

*** Bug 49756 has been marked as a duplicate of this bug. ***

GWicke added a comment.Via ConduitJul 2 2013, 12:06 AM

This causes round-trip failures.

gerritbot added a comment.Via ConduitJul 2 2013, 8:25 PM

Change 71716 had a related patch set uploaded by Esanders:
Allow annotations to be additive

https://gerrit.wikimedia.org/r/71716

Esanders added a comment.Via ConduitJul 2 2013, 8:30 PM

The fix sets big/small/sup/sub to be additive.

Arguably we should make all annotations additive, as you could add 'style="font-size:110%"' to anything, although I haven't thought through how this might affect the toolbar interactions yet.

gerritbot added a comment.Via ConduitJul 2 2013, 8:46 PM

Change 71716 merged by jenkins-bot:
Allow annotations to be additive

https://gerrit.wikimedia.org/r/71716

GWicke added a comment.Via ConduitJul 2 2013, 9:48 PM

(In reply to comment #4)

The fix sets big/small/sup/sub to be additive.

Arguably we should make all annotations additive, as you could add
'style="font-size:110%"' to anything, although I haven't thought through how
this might affect the toolbar interactions yet.

+1. This will also avoid dirty diffs on such content.

gerritbot added a comment.Via ConduitJul 5 2013, 8:19 PM

Change 72133 had a related patch set uploaded by Esanders:
Make all annotations additive

https://gerrit.wikimedia.org/r/72133

gerritbot added a comment.Via ConduitJul 8 2013, 7:51 PM

Change 72133 merged by jenkins-bot:
Make all annotations additive

https://gerrit.wikimedia.org/r/72133

Jdforrester-WMF added a comment.Via ConduitJul 8 2013, 9:25 PM

Fixed on the VisualEditor side; the Parsoid upstream issue in Domino is patched but not yet released. Not marking as fixed until that's done.

Jdforrester-WMF added a comment.Via ConduitJul 11 2013, 12:37 AM

Now fixed.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.